aboutsummaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-02-15 21:52:40 +0100
committerdec05eba <dec05eba@protonmail.com>2022-02-16 02:07:21 +0100
commit2030684b16004a4f6c60f499584366ae5ad57bc9 (patch)
treed22d30f8f41b05f75999369c05a6654fe87e5581 /run.sh
parent4efce988240473a84a19dc2d378289b875d99a9e (diff)
Finish video player
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..d9ad3d3
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,12 @@
+#!/bin/sh -e
+
+[ $# -ne 1 ] && echo "usage: run.sh debug|release" && exit 1
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+sibs build --"$1" video_player
+sibs build --"$1"
+echo "Successfully built the video player and QuickMedia"
+
+"./sibs-build/$(sibs platform)/$1/quickmedia"